Skip to main content
GET
/
workflows
/
v1
/
global-variables
List Global Variables Endpoint
curl --request GET \
  --url https://api-qa.interactly.ai/workflows/v1/global-variables \
  --header 'Authorization: Bearer <token>'
{
  "variables": [
    {
      "name": "<string>",
      "team_id": "<string>",
      "created_by": "<string>",
      "updated_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "_id": "5eb7cf5a86d9755df3a6c593",
      "value": "",
      "description": "<string>",
      "category": "<string>",
      "is_secret": false
    }
  ],
  "total": 123,
  "categories": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Query Parameters

category
string | null

Filter by category

search
string | null

Search by variable name

page
integer
default:1
Required range: x >= 1
size
integer
default:100
Required range: 1 <= x <= 500

Response

Successful Response

variables
GlobalVariablesModel · object[]
required
total
integer
required
categories
any[]